<?php

/************** Includes **********************************/
require_once '../../config.php';
require_once DIRLIBCOMP . 'SPDO.php';
$conexion = new SPDO(BDENGINE, BDHOST, BDDATABASE, BDUSER, BDPASS);

// Compruebo si hay plazas disponibles en el horario seleccionado
$sql_plazas = "SELECT plazas_libres
			   FROM sala_horarios
			   WHERE id = " . $_POST['hora'];

$result_plazas = $conexion->query($sql_plazas);

if ($result_plazas->rowCount() > 0) {
    $row_plazas = $result_plazas->fetch();

    // Hay plazas libres
    if ($row_plazas['plazas_libres'] >= $_POST['plazas']) {
        echo 1;
    } else {
        echo 0;
    }

} else {
    echo 0;
}